#include <iostream>
#include <string>

class Person {
	std::string name;
	int age = 0;

public:
	Person(const std::string& name)
	    : name(name) {}

	void setAge(int a) { age = a; }

	// try deleting const; what happens?
	int getAge() const { return age; }
};

void f(const Person& person) {
	std::cout << person.getAge() << '\n';
}

int main() {
	Person john("John");
	john.setAge(20);
	f(john);
}
