#include <iostream>

class MyObject {
	int x, y;

public:
	MyObject(int x, int y) : x(x), y(y) {}
	int getX() const { return x; };
	int getY() const { return y; };
	void setX(int nx) { x = nx; }
	void setY(int ny) { y = ny; }
};

// try changing the parameter to a reference
void f(MyObject a) {
	MyObject b(10, 12);
	a.setX(100);
	a = b;
	a.setY(50);
	b.setX(20);
}

int main() {
	MyObject o(0, 0);
	f(o);
	std::cout << o.getX() + o.getY() << '\n';
}
